QB_ARRAY_INDEX(3)

NAME
qb_array_index - Get an element at a particular index.

SYNOPSIS
#include <qb/qbarray.h>

int32_t qb_array_index(
    qb_array_t   *a,            /* array instance */
    /*
     * the index, valid in [0, QB_ARRAY_MAX_ELEMENTS) range
     */
    int32_t       idx,
    void        **element_out   /* the pointer to the element data */
);

PARAMS
a array instance

idx the index, valid in [0, QB_ARRAY_MAX_ELEMENTS) range

element_out the pointer to the element data

DESCRIPTION

RETURN VALUE

(0 == success, else -errno)

SEE ALSO

qb_array_elems_per_bin_get(3), qb_array_new_bin_cb_set(3), qb_array_create(3), qb_array_grow(3), qb_array_num_bins_get(3), qb_array_create_2(3), qb_array_free(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.